dovecot-antispam version 1.4~rc3-1 failed to build in oneiric

Bug #831121 reported by Matthias Klose on 2011-08-22
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
dovecot-antispam (Debian)
Fix Released
Unknown
dovecot-antispam (Ubuntu)
High
Unassigned
Oneiric
High
Matt Darcy
Precise
High
Unassigned

Bug Description

dovecot-antispam version 1.4~rc3-1 failed to build in oneiric
Link to failed build: https://launchpad.net/ubuntu/+archive/test-rebuild-20110816/+build/2691752

Details about the rebuild:
http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20110816-oneiric.html

Direct link to the build log: https://launchpad.net/ubuntu/+archive/test-rebuild-20110816/+build/2691752/+files/buildlog_ubuntu-oneiric-amd64.dovecot-antispam_1.4%7Erc3-1_FAILEDTOBUILD.txt.gz

This log snippet might be of interest, since it triggered the matcher 'Purging chroot-autobuild'.
Excerpt 279 lines into the build log:

dh_clean
 debian/rules build
dh_testdir
cp -f defconfig .config
/usr/bin/make
make[1]: Entering directory `/build/buildd/dovecot-antispam-1.4~rc3'
cc -DHAVE_CONFIG_H -I/usr/include/dovecot/ -I/usr/include/dovecot/src/ -I/usr/include/dovecot/src/lib/ -I/usr/include/dovecot/src/lib-storage/ -I/usr/include/dovecot/src/lib-mail/ -I/usr/include/dovecot/src/lib-imap/ -I/usr/include/dovecot/src/lib-dict/ -I/usr/include/dovecot/src/lib-index/ -I/usr/include/dovecot/src/imap/ -o dovecot-version dovecot-version.c
./dovecot-version > dovecot-version.h
cc -c -g -O2 -fPIC -shared -Wall -Wextra -DPLUGINNAME=antispam -DHAVE_CONFIG_H -I/usr/include/dovecot/ -I/usr/include/dovecot/src/ -I/usr/include/dovecot/src/lib/ -I/usr/include/dovecot/src/lib-storage/ -I/usr/include/dovecot/src/lib-mail/ -I/usr/include/dovecot/src/lib-imap/ -I/usr/include/dovecot/src/lib-dict/ -I/usr/include/dovecot/src/lib-index/ -I/usr/include/dovecot/src/imap/ -o antispam-storage.o antispam-storage.c
antispam-storage.c:3:26: fatal error: antispam-storage-2.0.c: No such file or directory
compilation terminated.
make[1]: *** [antispam-storage.o] Error 1
make[1]: Leaving directory `/build/buildd/dovecot-antispam-1.4~rc3'
make: *** [lib90_antispam_plugin.so] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
******************************************************************************
Build finished at 20110820-0720
FAILED [dpkg-buildpackage died]
Purging chroot-autobuild/build/buildd/dovecot-antispam-1.4~rc3

Matthias Klose (doko) on 2011-08-22
Changed in dovecot-antispam (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Changed in dovecot-antispam (Debian):
status: Unknown → New
Dave Walker (davewalker) on 2011-09-23
tags: added: server-o-rs
Dave Walker (davewalker) on 2011-09-23
Changed in dovecot-antispam (Ubuntu):
milestone: none → ubuntu-11.10
Dave Walker (davewalker) on 2011-09-29
Changed in dovecot-antispam (Ubuntu Oneiric):
assignee: nobody → Matt Darcy (matt-darcy)
Matt Darcy (matt-darcy) wrote :

The codebase for the 1.4 branch is compatible with Dovecot 2

Debian bug 631143 shows the maintainer plans to move to dovecot2 compatibility but is unable to find time resources at the moment.

Dave Walker (davewalker) wrote :

Based on the investigation from Matt Darcy, i'd like to suggest removing the binaries for Oneiric. We will target an SRU, when antispam-storage-2.0.c is included upstream.

It seems that the current status is that the package cannot be used with dovecote 2.0.

Thanks.

Matthias Klose (doko) wrote :

2011-09-29 12:14:22 INFO Removing candidates:
2011-09-29 12:14:22 INFO dovecot-antispam 1.4~rc3-1 in oneiric amd64
2011-09-29 12:14:22 INFO dovecot-antispam 1.4~rc3-1 in oneiric armel
2011-09-29 12:14:22 INFO dovecot-antispam 1.4~rc3-1 in oneiric i386
2011-09-29 12:14:22 INFO dovecot-antispam 1.4~rc3-1 in oneiric powerpc
2011-09-29 12:14:22 INFO Removed-by: Matthias Klose
2011-09-29 12:14:22 INFO Comment: FTFBS in oneiric, see LP: #831121, remove binary package
2011-09-29 12:14:22 INFO 4 packages successfully removed.

Changed in dovecot-antispam (Ubuntu Oneiric):
status: Confirmed → Won't Fix
Changed in dovecot-antispam (Ubuntu):
status: Confirmed → Won't Fix
Dave Walker (davewalker) wrote :

This bug was fixed in the package dovecot-antispam - 2.0-1

Changed in dovecot-antispam (Ubuntu Precise):
status: Won't Fix → Confirmed
assignee: Matt Darcy (matt-darcy) → nobody
milestone: ubuntu-11.10 → precise-alpha-1
Changed in dovecot-antispam (Ubuntu):
status: Won't Fix → Fix Released
Matt Darcy (matt-darcy) wrote :

I'll look at picking this up for precise-alpha-1

Changed in dovecot-antispam (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.